# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name queens

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:        8.0.7
Release:        4%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.0.7
Patch0001: 0001-Update-sample-env-generator-files-to-make-it-use-cep.patch
Patch0002: 0002-Stop-cap-granting-to-empty-pool-when-telemetry-disab.patch
Patch0003: 0003-Fix-bind-mount-to-manila-s-bootstrap-container.patch
Patch0004: 0004-Fix-syntax-for-set_fact-ansible-task.patch
Patch0005: 0005-Fix-syntax-for-set_fact-module.patch
Patch0006: 0006-Cleanup-ControllerStorageNfs-role.patch
Patch0007: 0007-Don-t-merge-etc-collectd.d.patch
Patch0008: 0008-Fix-missing-parameters-in-OVN-DVR-environment-files.patch
Patch0009: 0009-Ping-default-gateways-before-controllers.patch
Patch0010: 0010-Queens-Pike-Run-online-data-migrations-on-converge-a.patch
Patch0011: 0011-Add-networks-to-IronicConductor-role.patch
Patch0012: 0012-Revert-Revert-SSL-support-for-haproxy-novnc-proxy-co.patch
Patch0013: 0013-docker-puppet.py-used-dedicated-hiera-entry-not-uuid.patch
Patch0014: 0014-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0015: 0015-DOWNSTREAM-ONLY-Default-supported-services-to-docker.patch
Patch0016: 0016-Revert-DOWNSTREAM-ONLY-Default-supported-services-to.patch
Patch0017: 0017-downstream-only-environments-document-OSP-deployment.patch
Patch0018: 0018-Default-to-docker.yaml-and-docker-ha.yaml.patch
Patch0019: 0019-DOWNSTREAM-ONLY-Disabling-horizon-plugins-we-don-t-s.patch
Patch0020: 0020-downstream-only-Keep-existing-Compute-hostname.patch
Patch0021: 0021-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0022: 0022-Switch-repositories-during-FFU-when-registered-to-CD.patch
Patch0023: 0023-Make-lb-mgmt-subnet-a-class-B-subnet.patch
Patch0024: 0024-Fix-missing-parameters-in-OVN-DVR-environment-files.patch
Patch0025: 0025-Add-a-ComputePPC64LE-role.patch
Patch0026: 0026-Missing-docker.yaml-and-docker-ha.yaml-default-Downs.patch
Patch0027: 0027-Updates-Ceph-repos-from-2-to-3-automatically-during-.patch
Patch0028: 0028-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0029: 0029-Do-not-fail-FFU-if-Ceph-OSD-is-not-enabled.patch
Patch0030: 0030-Pass-parameters-for-TLS-proxy-in-front-of-Octavia-AP.patch
Patch0031: 0031-Add-OctaviaEventStreamerDriver-and-change-default.patch
Patch0032: 0032-Add-NeutronSriovHostConfig-mapping-to-neutron-sriov..patch
Patch0033: 0033-Apply-variable-to-task-not-the-block.patch
Patch0034: 0034-Set-octavia-log-directory-permissions-to-octavia-use.patch
Patch0035: 0035-ceilometer-skip-metering-database-is-gone.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       PyYAML
Requires:       python2-jinja2
Requires:       python2-six
Requires:      openstack-%{upstream_name}
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar common %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar deployed-server %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar ci %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar plan-samples %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar roles %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar tools %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Tue Dec 04 2018 Jon Schlueter <jschluet@redhat.com> 8.0.7-4
- Sync openstack-tripleo-heat-templates-compat with OSP 13 (rhbz#1656228)
